summaryrefslogtreecommitdiffstats
path: root/misc/gnome-doc-utils/gnome-doc-utils.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'misc/gnome-doc-utils/gnome-doc-utils.SlackBuild')
-rw-r--r--misc/gnome-doc-utils/gnome-doc-utils.SlackBuild23
1 files changed, 16 insertions, 7 deletions
diff --git a/misc/gnome-doc-utils/gnome-doc-utils.SlackBuild b/misc/gnome-doc-utils/gnome-doc-utils.SlackBuild
index 2dca6868bc..cc5e095afb 100644
--- a/misc/gnome-doc-utils/gnome-doc-utils.SlackBuild
+++ b/misc/gnome-doc-utils/gnome-doc-utils.SlackBuild
@@ -1,45 +1,54 @@
#!/bin/sh
# Slackbuild Script for gnome-doc-utils
+#
# Written by James Rich james@chowhouse.com
#
# Modified by the SlackBuilds.org team.
# Assumed to be public domain per our submission policy
-
-# Exit on most errors
-set -e
+# Script maintained by Frank Caraballo <fecaraballo{at}gmail{dot}com>
PRGNAM=gnome-doc-utils
-VERSION=0.8.0
+VERSION=0.12.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+# Exit on most errors
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
+
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
+ --mandir=/usr/man \
--disable-scrollkeeper
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)